"use strict";

const Parser = require("tree-sitter");
const Nix = require("tree-sitter-nix");

const prepareAst = require("./prepare-ast");

module.exports = function parseNix(source) {
	// TODO: Can we reuse the parser instance?
	let parser = new Parser();
	parser.setLanguage(Nix);

	return prepareAst(parser.parse(source));
};
