"use strict";

const NoChange = require("astformer/actions/no-change"); // FIXME
const mangleName = require("../mangle-name");

function mangleNode(node) {
	if (node._isMangled) {
		return NoChange;
	} else {
		return {
			... node,
			name: mangleName(node.name),
			_isMangled: true
		};
	}
}

module.exports = {
	name: "mangle-identifiers",
	visitors: {
		// NixAttributeIdentifier: mangleNode,
		NixIdentifier: mangleNode
	}
};
