"use strict";

const unpackExpression = require("./unpack-expression");

const template = require("@babel/template").default;

// Like `@babel/template`, but eliminates the wrapping ExpressionStatement
module.exports = function templateExpression(... args) {
	let tmpl = template(... args);

	return function (... callArgs) {
		return unpackExpression(tmpl(... callArgs));
	};
};
