"use strict";

const fs = require("fs");
const assert = require("assert");

const parse = require("../src/parse");
const printAST = require("../src/print-ast");

assert(process.argv[2] != null);
let tree = parse(fs.readFileSync(process.argv[2], "utf8"));
// console.dir(tree, { depth: null })
printAST(tree);
