This folder contains implementations of the various `builtins` in Nix.

The way the exported functions are expressed here is subtly different from the rest of the codebase; arrow functions are used instead of regular functions. This is because Nix does not *really** have multi-argument functions, and so multi-argument functions need to be expressed as single-argument functions that return other single-argument functions. The only way to ergonomically express this is with nested arrow functions.
