"use strict";

const types = require("@babel/types");
const lazyWrapper = require("./templates/lazy-wrapper");

module.exports = {
	name: "lists",
	visitors: {
		NixListLiteral: (_node, { defer }) => {
			return defer((node) => {
				return types.arrayExpression(
					node.elements.map((element) => {
						return lazyWrapper(element);
					})
				);
			});
		}
	}
};
