"use strict";

const types = require("@babel/types");

module.exports = function objectLiteral(entries) {
	return types.objectExpression(
		entries.map(([ key, value ]) => {
			if (typeof key === "string") {
				return types.objectProperty(types.stringLiteral(key), value, false);
			} else {
				// console.dir({entries}, {depth:null});
				return types.objectProperty(key, value, true);
			}
		})
	);
};
